Loading...
Searching...
No Matches
gssapi_openssl.h File Reference

GSS API OpenSSL. More...

`#include <stdbool.h>`
`#include "globus_config.h"`
`#include "globus_common.h"`
`#include "gssapi.h"`
`#include "globus_gsi_gss_constants.h"`
`#include "globus_gsi_callback.h"`
`#include "globus_gsi_proxy.h"`
`#include "globus_gsi_credential.h"`
`#include <stdio.h>`
`#include "openssl/ssl.h"`
`#include "openssl/err.h"`
`#include "openssl/bio.h"`
`#include "openssl/pem.h"`
`#include "openssl/x509.h"`
`#include "openssl/x509v3.h"`
`#include "openssl/stack.h"`

Go to the source code of this file.

## Functions

OM_uint32 | globus_i_gss_get_hash (OM_uint32 *minor_status, const gss_ctx_id_t context_handle, const EVP_MD **hash, const EVP_CIPHER **cipher)
| Find the hash and cipher functions used by a context.

## Variables

globus_thread_once_t | once_control

## Detailed Description

GSS API OpenSSL.

Author
  Sam Lang, Sam Meder

## Variable Documentation

## once_control

globus_thread_once_t once_control

extern

State variables needed for dealing with the case when globus module activation isn't used.